Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::DDVideoMode Class Reference

Encapsulates a DirectDraw video mode. More...

`#include <OgreDDVideoMode.h>`

List of all members.

## Public Methods

String | Description (void)
| DDVideoMode ()
| DDVideoMode (const DDVideoMode &ob)
| DDVideoMode (LPDDSURFACEDESC2 lpDDSD2)
DDVideoMode | operator= (const DDVideoMode &orig)

## Public Attributes

int | mWidth
int | mHeight
int | mColourDepth

## Private Attributes

DDSURFACEDESC2 | mDDSurfaceDesc

## Detailed Description

Encapsulates a DirectDraw video mode.

Utility class for D3DRenderSystem.

Definition at line 37 of file OgreDDVideoMode.h.

## Constructor & Destructor Documentation

Ogre::DDVideoMode::DDVideoMode | ( |  | ) |

| Definition at line 30 of file OgreDDVideoMode.cpp.

Ogre::DDVideoMode::DDVideoMode | ( | const DDVideoMode & | ob | ) |

| Definition at line 36 of file OgreDDVideoMode.cpp. References mColourDepth, mDDSurfaceDesc, mHeight, and mWidth.

Ogre::DDVideoMode::DDVideoMode | ( | LPDDSURFACEDESC2 | lpDDSD2 | ) |

| Definition at line 45 of file OgreDDVideoMode.cpp. References mColourDepth, mDDSurfaceDesc, mHeight, and mWidth.

## Member Function Documentation

String Ogre::DDVideoMode::Description | ( | void |  | ) |

| Definition at line 70 of file OgreDDVideoMode.cpp. References mColourDepth, mHeight, mWidth, and Ogre::String. Referenced by Ogre::D3DRenderSystem::initialise(), and Ogre::D3DRenderSystem::refreshDDSettings().

DDVideoMode Ogre::DDVideoMode::operator= | ( | const DDVideoMode & | orig | ) |

| Definition at line 57 of file OgreDDVideoMode.cpp. References mColourDepth, mDDSurfaceDesc, mHeight, and mWidth.

## Member Data Documentation

int Ogre::DDVideoMode::mColourDepth

| Definition at line 46 of file OgreDDVideoMode.h. Referenced by DDVideoMode(), Description(), Ogre::DDVideoModeList::getClosestMatch(), Ogre::D3DRenderSystem::initialise(), and operator=().

DDSURFACEDESC2 Ogre::DDVideoMode::mDDSurfaceDesc`[private]`

| Definition at line 41 of file OgreDDVideoMode.h. Referenced by DDVideoMode(), and operator=().

int Ogre::DDVideoMode::mHeight

| Definition at line 45 of file OgreDDVideoMode.h. Referenced by DDVideoMode(), Description(), Ogre::DDVideoModeList::getClosestMatch(), Ogre::D3DRenderSystem::initialise(), and operator=().

int Ogre::DDVideoMode::mWidth

| Definition at line 44 of file OgreDDVideoMode.h. Referenced by DDVideoMode(), Description(), Ogre::DDVideoModeList::getClosestMatch(), Ogre::D3DRenderSystem::initialise(), and operator=().

The documentation for this class was generated from the following files:

- OgreDDVideoMode.h
- OgreDDVideoMode.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:31 2004